apiVersion: apps/v1
kind: Deployment
metadata:
  name: backend-deployment
  labels:
    app: backend_app
spec:
  replicas: 1
  selector:
    matchLabels:
      app: backend_app
  template:
    metadata:
      labels:
        app: backend_app
    spec:
      containers:
      - name: backend
        image: sabeh/backend:latest
        ports:
        - containerPort: 8080
---
apiVersion: v1
kind: Service
metadata:
  name: backend-service
spec:
  type: NodePort
  selector:
     app: backend_app
  ports:
  - port: 8080
    targetPort: 8080
    nodePort: 30010
